#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		wx
%define		majvers		%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	wxWidgets
Version		:	3.1.2
Release		:	14.4.0.0%{?dist}
Summary		:	A cross-platform C++ framework for writing advanced GUI applications using native controls.
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://github.com/wxWidgets/wxWidgets

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	webkit2gtk4.0-devel

Provides	:	wxGTK
#-----------------------------------------------------------------------------
%description
'%{name}' allows you to write native-looking GUI applications
for all the major desktop platforms and also helps with abstracting
the differences in the non-GUI aspects between them. It is free
for the use in both open source and commercial applications, comes
with the full, easy to read and modify, source and extensive
documentation and a collection of more than a hundred examples. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{sname}-config
%{_bindir}/%{sname}rc
%{_bindir}/%{sname}rc-%{majvers}
%{_includedir}/%{sname}-%{majvers}/%{sname}/*impl.cpp
%{_includedir}/%{sname}-%{majvers}/%{sname}/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/aui/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/generic/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/gtk/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/gtk/gnome/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/html/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/meta/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/persist/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/propgrid/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/protocol/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/ribbon/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/richtext/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/stc/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/unix/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/xml/*.h
%{_includedir}/%{sname}-%{majvers}/%{sname}/xrc/*.h
%{_libdir}/lib%{sname}_*.so*
%{_libdir}/%{sname}/%{version}/web-extensions/*.so
%{_libdir}/%{sname}/config/gtk3-unicode-%{majvers}
%{_libdir}/%{sname}/include/gtk3-unicode-%{majvers}/%{sname}/setup.h
%{_datadir}/aclocal/%{sname}win.m4
%{_datadir}/bakefile/presets/%{sname}.bkl
%{_datadir}/bakefile/presets/%{sname}_*.{bkl,py}

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} buildgtk
pushd buildgtk
../configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-gtk=3					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C buildgtk					\
	DESTDIR=%{buildroot}				\
	install


#-----------------------------------------------------------------------------
%changelog
